#!/bin/bash
#
#  set the bounds
#
R=-R126W/110.0W/31.0N/51.0N
R2=-R125W/111.0W/32.0N/48.0N
#
#  clean out old files
#
rm -f *.nc
rm -f *.grd
rm -f gmt*
#
# Use blockmean to avoid aliasing
gmt blockmean $R -I1m data.lluv -fg -i0,1,2,4 -W+s > blk.llu
gmt blockmean $R -I1m data.lluv -fg -i0,1,3,5 -W+s > blk.llv
gmt convert -A blk.llu blk.llv -o0-2,6,3,7 > blk.lluv
#
#  do the gridding. 
#
gmt gpsgridder $R -I.01 -Gtmp_%s.nc blk.lluv -fg -Vl -Fd8 -r -Cn1500+eigen.txt -S0.50 
#
grdcut tmp_u.nc $R2 -Gtmp2_u.nc
grdcut tmp_v.nc $R2 -Gtmp2_v.nc
gmt grdlandmask -Gmask.grd -Rtmp2_u.nc -Df
gmt grdmath tmp2_u.nc mask.grd MUL = GPS_u.grd
gmt grdmath tmp2_v.nc mask.grd MUL = GPS_v.grd
echo "Created GPS_u.grd and GPS_v.grd"

