#!/bin/bash
#
# make a plot of GPS velocity vectors 
#
rm -f map_uv.ps
#
gmtset PS_MEDIA = legal
D=blk.lluv
R=-R125W/111.0W/32.0N/48.0N
U=GPS_u.grd
V=GPS_v.grd
gmtset  FORMAT_GEO_MAP = dddF
gmt select $D $R -fg | awk '{ print($0," 0 ") }' > data.lluvenct
#
#   first make a mask
#
gmt grdlandmask -Gtmp_mask1.grd -R$U -Df
gmt grdmath tmp_mask1.grd 0 NAN = mask.grd
gmt grdmath $U mask.grd MUL = GPS_u.nc
gmt grdmath $V mask.grd MUL = GPS_v.nc
#
#   make the map
#
gmt pscoast $R -JM7i -P -Glightgray -Ba2f1 -BWSne -K -Df -X0.7i -Wfaint > map_uv.ps
gmt psxy fault_data.gmt -J -R -W.5 -O -V -K >> map_uv.ps
gmt psvelo data.lluvenct -J $R -Se.008i/0.95/8 -A9p -W.2,red -O -K >> map_uv.ps
gmt grdvector GPS_u.nc GPS_v.nc -Ix10/10 -J $R -O -Q0.03i+e+n0.03i -Gblue -W.2,blue -S1.i --MAP_VECTOR_SHAPE=0.2 >> map_uv.ps

